# firstMethodOrNull

fun firstMethodOrNull (condition: MethodCondition < T >): MethodResolver < T >?
inline fun firstMethodOrNull (condition: MethodCondition < T >.() -> Unit = {}): MethodResolver < T >?

Start a new method reflection and return the first matching method or null.

#### Return

MethodResolver or null.

#### Parameters

condition

the condition body.

#### See also

KavaRef.MemberScope.method